Docs

Get Rule Set

GET /rule-sets/{ruleSetId}

GET/rule-sets/{ruleSetId}

Returns one rule set with its rules, thresholds and reset conditions. The id comes from Resources_GetRuleSets.

Path Parameters

FieldTypeRequiredDescription
ruleSetIduuidRequired

Response

FieldTypeDescription
iduuid
namestring| null
resourceTypeIdsuuid[]| null
rulesRuleDetail[]| null

RuleDetail

FieldTypeDescription
iduuid
namestring| null
descriptionstring| null
priorityinteger
isActiveboolean
conditionTypestring| null
trackedBlockTypeRuleDetailTrackedBlockTypeRef
windowStarttime| null
windowEndtime| null
resultingStateIduuid| null
daysOfWeekstring[]| null
annualDatesstring[]| null
thresholdsThresholdDetail[]| null
resetConditionsResetConditionDetail[]| null

RuleDetailTrackedBlockTypeRef

FieldTypeDescription
iduuid
namestring| null

ThresholdDetail

FieldTypeDescription
iduuid
orderinteger
thresholdnumber
thresholdUnitstring| null
operatorstring| null
resultingStateThresholdDetailResultingStateRef

ResetConditionDetail

FieldTypeDescription
iduuid
resetTypestring| null
blockTypeResetConditionDetailBlockTypeRef
minDurationnumber| null
durationUnitstring| null
periodstring| null
periodStartDaystring| null
thresholdOverridesResetConditionDetailThresholdOverrideDetail[]| null

ThresholdDetailResultingStateRef

FieldTypeDescription
iduuid
namestring| null

ResetConditionDetailBlockTypeRef

FieldTypeDescription
iduuid
namestring| null

ResetConditionDetailThresholdOverrideDetail

FieldTypeDescription
ruleThresholdIduuid
thresholdnumber
thresholdUnitstring| null